[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfacedPersistent.QueryInterface

Implementation of IInterface.QueryInterface

## Declaration

Source position: classesh.inc line 462

`public function TInterfacedPersistent.QueryInterface(`
`const IID: TGuid;`
`out Obj`
`):HRESULT; virtual;`

## Description

QueryInterface simply calls GetInterface using the specified IID, and returns the correct values.

## See also

TObject.GetInterface |  | Return a reference to an interface

Documentation generated on: Feb 26 2014